Download results
Downloads query results in various formats with custom formatting options
Authentication: personal access token. The spec defines an api_key security
scheme — send an Authorization: ApiKey <your-personal-access-token> header
(value format: ApiKey <your key>). A session_cookie scheme (connect.sid)
exists for browser sessions. Operations in this spec declare security: [], an
artifact of the upstream spec generator — authentication is still enforced by the
server.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectUuid | string | Yes | |
queryUuid | string | Yes | The UUID of the completed async query to download |
Request body
{
"pivotConfig": {
"hiddenDimensionFieldIds": [
"string"
],
"rowTotals": true,
"columnTotals": true,
"visibleMetricFieldIds": [
"string"
],
"hiddenMetricFieldIds": [
"string"
],
"columnOrder": [
"string"
],
"rowFieldIds": [
"string"
],
"metricsAsRows": true,
"pivotDimensions": [
"string"
]
},
"type": "csv",
"onlyRaw": true,
"showTableNames": true,
"customLabels": {},
"columnOrder": [
"string"
],
"hiddenFields": [
"string"
],
"exportPivotedData": true,
"attachmentDownloadName": "string",
"conditionalFormattings": [
{
"textStyle": {
"underline": true,
"italic": true,
"bold": true
},
"applyTo": "cell",
"rules": [
{
"includeNull": true,
"values": [
0
],
"operator": "isNull",
"id": "string"
}
],
"darkColor": "string",
"color": "string",
"target": {
"fieldId": "string"
}
}
],
"showColumnTotals": true
}Responses
200 — Success
{
"results": {
"fileUrl": "string"
},
"status": "ok"
}default — Error
{
"error": {
"data": "string",
"message": "string",
"name": "string",
"statusCode": 0
},
"status": "error"
}